Ticket #43921

Crosser-2.3

Open Date: 2022-02-19 13:57 Last Update: 2022-03-15 20:54

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Ticket for tracking progress toward switching to crosser-2.3.

The main benefits of crosser-2.3 will be inclusion of zstd (which freeciv would use for .zst compressed savegame support) and Qt6 (Qt6-client, -ruledit, modpack installer)

At this time I'm not sure if we should switch also S3_0 builds to use crosser-2.3. It doesn't really need the new features, and it's a stable branch. Yet, there would be no compatibility issues with crosser-2.3 (later crosser versions may drop Qt5, and that's the only Qt version that S3_0 can use) and it would be good to get updates to the included libraries (including security updates).

Crosser-2.3 would be almost ready to release, except that I want to follow Ubuntu-22.04 development a bit longer, to react any compatibility breaks that might introduce, before releasing crosser-2.3. Also some work need to be done on freeciv side before we can switch to crosser-2.3 anyway, so it's better not to release crosser just yet, to only rotten. Instead it can still take updates in.

Ticket History (3/10 Histories)

2022-02-19 13:57 Updated by: cazfi
  • New Ticket "Crosser-2.3" created
2022-02-21 17:36 Updated by: cazfi
  • Details Updated
2022-03-05 18:21 Updated by: cazfi
Comment

Reply To cazfi

Crosser-2.3 would be almost ready to release, except that I want to follow Ubuntu-22.04 development a bit longer, to react any compatibility breaks that might introduce, before releasing crosser-2.3. Also some work need to be done on freeciv side before we can switch to crosser-2.3 anyway, so it's better not to release crosser just yet, to only rotten. Instead it can still take updates in.

I'm running (hopefully) final test rounds for crosser-2.3 before releasing it, maybe even today. I'm testing that it works for S3_0 too, but given the uncertainty of the long-term validity of crosser-2.3, my plan is to first take it to use for S3_1 and master only. S3_0 can wait, especially as that branch wouldn't benefit from the Qt6 or zstd availability in the crosser environment.

2022-03-06 04:21 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.1 (closed)
Comment

Crosser-2.3 released and environment available. Freeciv patches attached to this ticket. Also S3_0 patch attached already, but like I said I'm pushing master/S3_1 only at this phase.

2022-03-08 00:44 Updated by: cazfi
Comment

Pushed to master & S3_1.

2022-03-09 06:33 Updated by: cazfi
Comment

#44047 affects also builds with crosser environment at least in master & S3_1 where crosser-2.3 is currently used. Before pushing the crosser-2.3 update to S3_0, we need to make sure it does not introduce that bug as a regression.

2022-03-13 09:14 Updated by: cazfi
Comment

Consider review period also for S3_0 patch to begin now.

2022-03-15 20:54 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login